Update annotator
curl --request PUT \
--url https://api.calibrate.artpark.ai/annotators/{annotator_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.calibrate.artpark.ai/annotators/{annotator_uuid}"
payload = { "name": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"jobs_count": 123,
"current_agreement": 123,
"pair_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Annotators
Update annotator
Update an annotator’s name
PUT
/
annotators
/
{annotator_uuid}
Update annotator
curl --request PUT \
--url https://api.calibrate.artpark.ai/annotators/{annotator_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.calibrate.artpark.ai/annotators/{annotator_uuid}"
payload = { "name": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"jobs_count": 123,
"current_agreement": 123,
"pair_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
Annotator to update
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
New annotator name, unique within your workspace. Omit to leave unchanged
Response
Successful Response
Annotator ID
Required string length:
36Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Annotator name
When the annotator was created (ISO 8601 UTC)
When the annotator was last updated (ISO 8601 UTC)
Number of labelling jobs assigned to this annotator
Latest pairwise mean agreement with other annotators, from 0 to 1
Number of comparable annotation pairs behind the current agreement score